package com.gree.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CouponStatusEnum implements BaseEnum {
    WAIT("WAIT","待发布"),
    START("START","进行中"),
    CANCEL("CANCEL","取消"),
    END("END","结束");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static CouponStatusEnum create(String key) {
        return BaseEnum.keyToEnum(CouponStatusEnum.class, key);
    }
}
